## RetroVideoFilter RetroVideoFilter — A video filter enumeration |

## Functions

RetroVideoFilter | retro_video_filter_from_string ()

## Types and Values

enum | RetroVideoFilter

## Object Hierarchy

        GEnum
        ╰── RetroVideoFilter

## Includes

    #include <retro-gtk/retro-gtk.h>

## Description

## Functions

### retro_video_filter_from_string ()

    RetroVideoFilter
    retro_video_filter_from_string (const gchar *filter);

Gets a RetroVideoFilter from it's name. It defaults to RETRO_VIDEO_FILTER_SMOOTH in case of error.

#### Parameters

filter | a filter name |

#### Returns

a RetroVideoFilter

## Types and Values

### enum RetroVideoFilter

Represents the filters that can be applied to the video output.

#### Members

RETRO_VIDEO_FILTER_SMOOTH | a smooth but blurry video filer |
RETRO_VIDEO_FILTER_SHARP | a sharp video filter showing every pixel |
RETRO_VIDEO_FILTER_CRT | a video filter mimicking CRT screens |

## See Also

RetroCoreView